************************************************************************
*Standard Linear and Logic, Texas Instruments
************************************************************************
*          Property of Texas Instruments Incorporated.  Unauthorized   *
*          reproduction and/or distribution is strictly prohibited.    *
*                                                                      *
*          This product is protected under copyright law.              *
*          Created 1998, (C) Copyright 1998, Texas Instruments Inc.,   *
*          ll Rights Reserved                                          *
*                                                                      *
*          UNLESS THERE IS  SIGNED, WRITTEN AGREEMENT TO THE           *
*          CONTRRY, TEXAS INSTRUMENTS ("TI") IS PROVIDING THE SPICE    *
*          MODELS "S IS" AND WITHOUT ANY WARRANTY, EXPRESSED OR        *
*          IMPLIED.  TI assumes no liability for:                      *
*          1) the accuracy of the SPICE models provided to your        *
*             company;                                                 *
*          2) the proper functioning of these SPICE models in your     *
*             design or for any resulting applications; or             *
*          3) infringement of patents, copyrights or intellectual      *
*             property rights resulting from your use of these         *
*             SPICE models.                                            *
*                                                                      *
*          TI provides SPICE Models as a service to our customers.     *
*          You and your company shall not distribute, sell or give     *
*          these models to anyone else without prior written           *
*          permission from TI.                                         *
*                                                                      *
*          TI reserves the right to make changes to our products or    *
*          to discontinue any semiconductor product or service         *
*          without notice, and advises our customers to obtain the     *
*          latest version of relevant information to verify, before    *
*          placing orders, that the information being relied on is     *
*          current.                                                    *
*                                                                      *
*          Please be aware that your receipt and use of the SPICE      *
*          information provided shall serve as acceptance of these     *
*          terms and conditions.  If you do not accept these terms,    *
*          you should return or destroy the SPICE models and any       *
*          other accompanying information immediately.                 *
************************************************************************
*
* SLL PPLICATIONS
* DTE : January, 2003
*NOTE:
*This is the user's file.Refer to the read.me file before you proceed.
*
************************************************************************
****                HSPICE EXECUTION OPTIONS                        ****
************************************************************************
*
    .OPTIONS POST           $ Enables HSPLOT interface
    .OPTIONS CCT OPTS       $ Prints stats & option values used
    .OPTIONS SPICE=1        $ Forces Berkeley compatibility
    .OPTIONS GMIN=1E-10     $ Lowest allowable conductance values
    .OPTIONS GMINDC=1E-10
    .OPTIONS ITL1=400       $ Maximum DC iteration limit
    .OPTIONS ITL4=40        $ Maximum transient iterations/timestep
    .OPTIONS ITL5=0         $ No limit to total transient iterations
*
***********************************************************************
*
*   NOTE:
*   The following files must be present to use this SPICE model:
*      ALVCH32973INC.INC    (netlist)
*      P33C21D3Ninc.inc     (Nominal process models)
*      P33C21D3Sinc.inc     (Strong process models) 	
*      P33C21D3Winc.inc     (Weak    process models)
*      READ.ME              (General use, release notes, ...)
*
*   INSTRUCTIONS:
*   For the process model use either the strong (P33C21D3SINC)
*				     the weak   (P33C21D3WINC)
*				     the nominal(P33C21D3NINC) 	 	
*   To use this SPICE model, include the following lines in your main netlist:
*      (Choose only one package model and one process model)
*      .
*      .
*      .
*       .OPTIONS search='./'
	X_DEVICE_SELECTOR  0 ALVCH32973INC
*	X_PROCESS_SELECTOR 0 P33C21D3SINC
	X_PROCESS_SELECTOR 0 P33C21D3NINC
*	X_PROCESS_SELECTOR 0 P33C21D3WINC

	.include bga96

*	.include resistor_mods
	.include resistor_modn
*	.include resistor_modw

***********************************************************************
* Refer to the data sheet for node description.
***********************************************************************
******Top level Subcircuit call (user's nodes)
***********************************************************************
xALVCH32973 x_1NTOE x_1LE x_1NLOE x_1DIR x_1A1 x_1B1 x_1Q1 x_D1 x_Y1 x_VCC 
+ x_GND ALVCH32973

***********************************************************************
******Supply Voltages
***********************************************************************
v_VCC		x_VCC		0	DC	3.3 
v_GND		x_GND		0	DC	0.0

***********************************************************************
******Subcircuit for package connection
***********************************************************************
.SUBCKT ALVCH32973 p_1NTOE p_1LE p_1NLOE p_1DIR p_1A1 p_1B1 p_1Q1 p_D1 p_Y1 
 + p_VCC p_GND
 X_PIN1		p_1NTOE		s_1NTOE		BGA96_01
 X_PIN3		p_D1		s_D1		BGA96_03
 X_PIN4		p_1A1		s_1A1		BGA96_04
 X_PIN5		p_Y1		s_Y1		BGA96_05
 X_PIN22	p_1LE		s_1LE		BGA96_22
 X_PIN75	p_1NLOE		s_1NLOE		BGA96_75
 X_PIN93	p_1Q1		s_1Q1		BGA96_93
 X_PIN94	p_1B1		s_1B1		BGA96_94
 X_PIN96	p_1DIR		s_1DIR		BGA96_96
 X_PIN7		p_VCC		s_VCC		BGA96_07
 X_PIN16	p_VCC		s_VCC		BGA96_16
 X_PIN33	p_VCC		s_VCC		BGA96_33
 X_PIN42	p_VCC		s_VCC		BGA96_42
 X_PIN55	p_VCC		s_VCC		BGA96_55
 X_PIN64	p_VCC		s_VCC		BGA96_64
 X_PIN81	p_VCC		s_VCC		BGA96_81
 X_PIN90	p_VCC		s_VCC		BGA96_90
 X_PIN2		p_GND		s_GND		BGA96_02
 X_PIN10	p_GND		s_GND		BGA96_10
 X_PIN13	p_GND		s_GND		BGA96_13
 X_PIN19	p_GND		s_GND		BGA96_19
 X_PIN30	p_GND		s_GND		BGA96_30
 X_PIN36	p_GND		s_GND		BGA96_36
 X_PIN39	p_GND		s_GND		BGA96_39
 X_PIN47	p_GND		s_GND		BGA96_47
 X_PIN50	p_GND		s_GND		BGA96_50
 X_PIN58	p_GND		s_GND		BGA96_58
 X_PIN61	p_GND		s_GND		BGA96_61
 X_PIN67	p_GND		s_GND		BGA96_67
 X_PIN78	p_GND		s_GND		BGA96_78
 X_PIN84	p_GND		s_GND		BGA96_84
 X_PIN87	p_GND		s_GND		BGA96_87
 X_PIN95	p_GND		s_GND		BGA96_95
xALVCH32973bit s_1NTOE s_1LE s_1NLOE s_1DIR s_1A1 s_1B1 s_1Q1 s_D1 s_Y1 s_VCC 
+ s_GND ALVCH32973__bit 
.ENDs ALVCH32973

***********************************************************************
.temp 25

.param er=0.5ns			$signal generator output edge rate

.param capload=50p
.param resload=500
.param biashv=3.3
.param biaslv=0.0

***********************************************************************
.TRAN         0.05NS 60NS
**** TRANSIENT ANALYSES <-------
** Propagation test (LH/HL)
V_1DIR	x_1DIR	0	DC	biashv
V_1LE	x_1LE	0	PULSE	(biashv biaslv 25ns  er er '3ns-er' 6ns)
V_1A1	x_1A1	0	PULSE	(biaslv biashv 0.5ns er er '6ns-er' 12ns)
V_D1	x_D1	0	PULSE	(biaslv biashv 0.5ns er er '6ns-er' 12ns)
V_1NLOE	x_1NLOE	0	PULSE	(biaslv biashv 1.5ns er er '12ns-er' 24ns)
V_1NTOE	x_1NTOE	0	PULSE	(biashv biaslv 1.5ns er er '12ns-er' 24ns)

R_1B1	x_1B1	0	resload
C_1B1	x_1B1	0	capload

R_1Q1	x_1Q1	0	resload
C_1Q1	x_1Q1	0	capload

R_Y1	x_Y1	0	resload
C_Y1	x_Y1	0	capload

***********************************************************************
.END

